#include "script_component.hpp"

ADDON = false;

// load userconfig
call compile preprocessFile "\userconfig\asr\config_aiskill.hpp";

// set defaults if undefined
if (isNil "ASR_AISKILL_SETS") then { ASR_AISKILL_SETS = [
["aimingAccuracy",[0.65,0.25],"aimingShake",[0.65,0.25],"aimingSpeed",[0.75,0.25],"spotDistance",[0.75,0.25],"spotTime",[0.65,0.25],"courage",[0.65,0.25]],//asr_aiskill = 0
["aimingAccuracy",[0.60,0.25],"aimingShake",[0.60,0.25],"aimingSpeed",[0.70,0.25],"spotDistance",[0.70,0.25],"spotTime",[0.60,0.25],"courage",[0.60,0.25]],//asr_aiskill = 1
["aimingAccuracy",[0.55,0.25],"aimingShake",[0.55,0.25],"aimingSpeed",[0.65,0.25],"spotDistance",[0.65,0.25],"spotTime",[0.55,0.25],"courage",[0.55,0.25]],//asr_aiskill = 2
["aimingAccuracy",[0.50,0.25],"aimingShake",[0.50,0.25],"aimingSpeed",[0.60,0.25],"spotDistance",[0.60,0.25],"spotTime",[0.50,0.25],"courage",[0.50,0.25]],//asr_aiskill = 3
["aimingAccuracy",[0.45,0.25],"aimingShake",[0.45,0.25],"aimingSpeed",[0.55,0.25],"spotDistance",[0.55,0.25],"spotTime",[0.45,0.25],"courage",[0.45,0.25]],//asr_aiskill = 4
["aimingAccuracy",[0.40,0.25],"aimingShake",[0.40,0.25],"aimingSpeed",[0.50,0.25],"spotDistance",[0.50,0.25],"spotTime",[0.40,0.25],"courage",[0.40,0.25]],//asr_aiskill = 5
["aimingAccuracy",[0.35,0.25],"aimingShake",[0.35,0.25],"aimingSpeed",[0.45,0.25],"spotDistance",[0.45,0.25],"spotTime",[0.35,0.25],"courage",[0.35,0.25]],//asr_aiskill = 6
["aimingAccuracy",[0.30,0.25],"aimingShake",[0.30,0.25],"aimingSpeed",[0.40,0.25],"spotDistance",[0.40,0.25],"spotTime",[0.30,0.25],"courage",[0.30,0.25]],//asr_aiskill = 7
["aimingAccuracy",[0.40,0.25],"aimingShake",[0.40,0.25],"aimingSpeed",[0.50,0.25],"spotDistance",[0.70,0.25],"spotTime",[0.60,0.25],"courage",[0.40,0.25]],//asr_aiskill = 8 (pilot 1, better)
["aimingAccuracy",[0.35,0.25],"aimingShake",[0.35,0.25],"aimingSpeed",[0.45,0.25],"spotDistance",[0.65,0.25],"spotTime",[0.55,0.25],"courage",[0.35,0.25]] //asr_aiskill = 9 (pilot 2)
]};

PREP(GetUnitSkill);
PREP(SetUnitSkill);

ADDON = true;
